#!/bin/sh

if [ "$1" == '-h' -o "$1" == '--help' ]; then
  echo 'Usage: tpmac-move3.sh [assy [ax1 [ax2 [ax3]]]]'
  echo 'Parameters:'
  echo '  assy  Tpmac assembly (default: "ioc23:G:St:")'
  echo '  ax1   Axis/Drive/Motor 1 (default: "ioc23:G:mvx:")'
  echo '  ax2   Axis/Drive/Motor 2 (default: "ioc23:G:mvy:")'
  echo '  ax3   Axis/Drive/Motor 3 (default: "ioc23:G:mhz:")'
  exit 0
fi

assy='ioc23:G:St:'
if [ "$1" != '' ]; then assy="$1"; fi
ax1='ioc23:G:mvx:'
if [ "$2" != '' ]; then ax1="$2"; fi
ax2='ioc23:G:mvy:'
if [ "$3" != '' ]; then ax2="$3"; fi
ax3='ioc23:G:mhz:'
if [ "$4" != '' ]; then ax3="$4"; fi

exec medm -x -macro "assy=$assy,ax1=$ax1,ax2=$ax2,ax3=$ax3" Move3_large.adl
